Index: branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/Parameter.cs
===================================================================
--- branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/Parameter.cs	(revision 2027)
+++ branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/Parameter.cs	(revision 2027)
@@ -0,0 +1,178 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using System.Xml;
+
+namespace HeuristicLab.Core {
+  /// <summary>
+  /// Class for storing meta-information about parameters of an operator.
+  /// </summary>
+  public class Parameter : ItemBase, IParameter {
+    private string myName;
+    /// <summary>
+    /// Gets or sets the name of the current instance.
+    /// </summary>
+    /// <remarks>Calls <see cref="OnActualNameChanged"/> in the setter.</remarks>
+    public string Name {
+      get { return myName; }
+    }
+    private string myDescription;
+    /// <summary>
+    /// Gets the description of the current instance.
+    /// </summary>
+    public string Description {
+      get { return myDescription; }
+    }
+    private Type myDataType;
+    /// <summary>
+    /// Gets the data type of the parameter.
+    /// </summary>
+    public Type DataType {
+      get { return myDataType; }
+    }
+    private ParameterType myType;
+    /// <summary>
+    /// Gets the type of the parameter (input, output, both).
+    /// </summary>
+    public ParameterType Type {
+      get { return myType; }
+    }
+
+    /// <summary>
+    /// Initializes a new instance of <see cref="Parameter"/> with name "Anonymous",
+    /// no description, and a <c>null</c> data type. The type of 
+    /// the parameter is input.
+    /// </summary>
+    public Parameter() {
+      myName = "Anonymous";
+      myDescription = "";
+      myDataType = null;
+      myType = ParameterType.In;
+    }
+    /// <summary>
+    /// Initializes a new instance of <see cref="Parameter"/> with the given parameters.
+    /// </summary>
+    /// <remarks>Calls <see cref="Parameter()"/>.</remarks>
+    /// <param name="name">The name of the current instance.</param>
+    /// <param name="description">The description of the current instance.</param>
+    /// <param name="dataType">The data type of the parameter.</param>
+    /// <param name="type">The type of the parameter.</param>
+    public Parameter(string name, string description, Type dataType, ParameterType type)
+      : this() {
+      myName = name;
+      myDescription = description;
+      myDataType = dataType;
+      myType = type;
+    }
+
+    /// <summary>
+    /// Creates a new instance of <see cref="ParameterView"/> to represent the current instance
+    /// visually.
+    /// </summary>
+    /// <returns>The created view as <see cref="ParameterView"/>.</returns>
+    public override IView CreateView() {
+      return new ParameterView(this);
+    }
+
+    /// <summary>
+    /// Clones the current instance (deep clone).
+    /// </summary>
+    /// <param name="clonedObjects">Dictionary of all already cloned objects. (Needed to avoid cycles.)</param>
+    /// <returns>The cloned object as <see cref="Parameter"/>.</returns>
+    public override object Clone(IDictionary<Guid, object> clonedObjects) {
+      Parameter clone = new Parameter();
+      clonedObjects.Add(Guid, clone);
+      clone.myName = Name;
+      clone.myDescription = Description;
+      clone.myDataType = DataType;
+      clone.myType = Type;
+      return clone;
+    }
+
+    #region Persistence Methods
+    /// <summary>
+    /// Saves the current instance as <see cref="XmlNode"/> in the specified <paramref name="document"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="StorableBase.GetXmlNode"/> of base class <see cref="ItemBase"/>. <br/>
+    /// A quick overview how the single elements of the current instance are saved:
+    /// <list type="bullet">
+    /// <item>
+    /// <term>Name: </term>
+    /// <description>Saved as <see cref="XmlAttribute"/> with tag name <c>Name</c>.</description>
+    /// </item>
+    /// <item>
+    /// <term>Description: </term>
+    /// <description>Saved as <see cref="XmlAttribute"/> with tag name <c>Description</c>.</description>
+    /// </item>
+    /// <item><term>Data type: </term>
+    /// <description>Saved as <see cref="XmlAttribute"/> with tag name <c>DataType</c>.</description>
+    /// </item>
+    /// <item>
+    /// <term>Type: </term>
+    /// <description>Saved as <see cref="XmlAttribute"/> with tag name <c>ParameterType</c>.</description>
+    /// </item>
+    /// </list></remarks>
+    /// <param name="name">The (tag)name of the <see cref="XmlNode"/>.</param>
+    /// <param name="document">The <see cref="XmlDocument"/> where to save the data.</param>
+    /// <param name="persistedObjects">The dictionary of all already persisted objects. (Needed to avoid cycles.)</param>
+    /// <returns>The saved <see cref="XmlNode"/>.</returns>
+    public override XmlNode GetXmlNode(string name, XmlDocument document, IDictionary<Guid,IStorable> persistedObjects) {
+      XmlNode node = base.GetXmlNode(name, document, persistedObjects);
+      XmlAttribute nameAttribute = document.CreateAttribute("Name");
+      nameAttribute.Value = Name;
+      node.Attributes.Append(nameAttribute);
+
+      XmlAttribute descriptionAttribute = document.CreateAttribute("Description");
+      descriptionAttribute.Value = Description;
+      node.Attributes.Append(descriptionAttribute);
+
+      XmlAttribute dataTypeAttribute = document.CreateAttribute("DataType");
+      dataTypeAttribute.Value = PersistenceManager.BuildTypeString(DataType);
+      node.Attributes.Append(dataTypeAttribute);
+
+      XmlAttribute typeAttribute = document.CreateAttribute("ParameterType");
+      typeAttribute.Value = Type.ToString();
+      node.Attributes.Append(typeAttribute);
+
+      return node;
+    }
+    /// <summary>
+    /// Loads the persisted parameter from the specified <paramref name="node"/>.
+    /// </summary>
+    /// <remarks>See <see cref="GetXmlNode"/> for further information on how the parameter must be 
+    /// saved. <br/>
+    /// Calls <see cref="StorableBase.Populate"/> of base class <see cref="ItemBase"/>.</remarks>
+    /// <param name="node">The <see cref="XmlNode"/> where the parameter is saved.</param>
+    /// <param name="restoredObjects">The dictionary of all already restored objects. 
+    /// (Needed to avoid cycles.)</param>
+    public override void Populate(XmlNode node, IDictionary<Guid,IStorable> restoredObjects) {
+      base.Populate(node, restoredObjects);
+      myName = node.Attributes["ActualName"].Value;
+      myDescription = node.Attributes["Description"].Value;
+      myDataType = System.Type.GetType(node.Attributes["DataType"].Value, true);
+      myType = (ParameterType)Enum.Parse(typeof(ParameterType), node.Attributes["ParameterType"].Value);
+    }
+    #endregion
+  }
+}
Index: branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/ParameterView.Designer.cs
===================================================================
--- branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/ParameterView.Designer.cs	(revision 2027)
+++ branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/ParameterView.Designer.cs	(revision 2027)
@@ -0,0 +1,165 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Core {
+  partial class ParameterView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.dataTypeLabel = new System.Windows.Forms.Label();
+      this.dataTypeTextBox = new System.Windows.Forms.TextBox();
+      this.descriptionLabel = new System.Windows.Forms.Label();
+      this.descriptionTextBox = new System.Windows.Forms.TextBox();
+      this.typeLabel = new System.Windows.Forms.Label();
+      this.typeTextBox = new System.Windows.Forms.TextBox();
+      this.nameTextBox = new System.Windows.Forms.TextBox();
+      this.nameLabel = new System.Windows.Forms.Label();
+      this.SuspendLayout();
+      // 
+      // dataTypeLabel
+      // 
+      this.dataTypeLabel.AutoSize = true;
+      this.dataTypeLabel.Location = new System.Drawing.Point(3, 29);
+      this.dataTypeLabel.Name = "dataTypeLabel";
+      this.dataTypeLabel.Size = new System.Drawing.Size(60, 13);
+      this.dataTypeLabel.TabIndex = 2;
+      this.dataTypeLabel.Text = "&Data Type:";
+      // 
+      // dataTypeTextBox
+      // 
+      this.dataTypeTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.dataTypeTextBox.Location = new System.Drawing.Point(72, 26);
+      this.dataTypeTextBox.Name = "dataTypeTextBox";
+      this.dataTypeTextBox.ReadOnly = true;
+      this.dataTypeTextBox.Size = new System.Drawing.Size(197, 20);
+      this.dataTypeTextBox.TabIndex = 3;
+      // 
+      // descriptionLabel
+      // 
+      this.descriptionLabel.AutoSize = true;
+      this.descriptionLabel.Location = new System.Drawing.Point(3, 81);
+      this.descriptionLabel.Name = "descriptionLabel";
+      this.descriptionLabel.Size = new System.Drawing.Size(63, 13);
+      this.descriptionLabel.TabIndex = 6;
+      this.descriptionLabel.Text = "&Description:";
+      // 
+      // descriptionTextBox
+      // 
+      this.descriptionTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.descriptionTextBox.Location = new System.Drawing.Point(72, 78);
+      this.descriptionTextBox.Multiline = true;
+      this.descriptionTextBox.Name = "descriptionTextBox";
+      this.descriptionTextBox.ReadOnly = true;
+      this.descriptionTextBox.Size = new System.Drawing.Size(197, 131);
+      this.descriptionTextBox.TabIndex = 7;
+      // 
+      // typeLabel
+      // 
+      this.typeLabel.AutoSize = true;
+      this.typeLabel.Location = new System.Drawing.Point(3, 55);
+      this.typeLabel.Name = "typeLabel";
+      this.typeLabel.Size = new System.Drawing.Size(34, 13);
+      this.typeLabel.TabIndex = 4;
+      this.typeLabel.Text = "&Type:";
+      // 
+      // typeTextBox
+      // 
+      this.typeTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.typeTextBox.Location = new System.Drawing.Point(72, 52);
+      this.typeTextBox.Name = "typeTextBox";
+      this.typeTextBox.ReadOnly = true;
+      this.typeTextBox.Size = new System.Drawing.Size(197, 20);
+      this.typeTextBox.TabIndex = 5;
+      // 
+      // nameTextBox
+      // 
+      this.nameTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.nameTextBox.Location = new System.Drawing.Point(72, 0);
+      this.nameTextBox.Name = "nameTextBox";
+      this.nameTextBox.ReadOnly = true;
+      this.nameTextBox.Size = new System.Drawing.Size(197, 20);
+      this.nameTextBox.TabIndex = 1;
+      // 
+      // nameLabel
+      // 
+      this.nameLabel.AutoSize = true;
+      this.nameLabel.Location = new System.Drawing.Point(3, 3);
+      this.nameLabel.Name = "nameLabel";
+      this.nameLabel.Size = new System.Drawing.Size(38, 13);
+      this.nameLabel.TabIndex = 0;
+      this.nameLabel.Text = "&Name:";
+      // 
+      // ParameterView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.dataTypeTextBox);
+      this.Controls.Add(this.typeTextBox);
+      this.Controls.Add(this.descriptionTextBox);
+      this.Controls.Add(this.nameTextBox);
+      this.Controls.Add(this.dataTypeLabel);
+      this.Controls.Add(this.typeLabel);
+      this.Controls.Add(this.nameLabel);
+      this.Controls.Add(this.descriptionLabel);
+      this.Name = "ParameterView";
+      this.Size = new System.Drawing.Size(269, 209);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Label dataTypeLabel;
+    private System.Windows.Forms.TextBox dataTypeTextBox;
+    private System.Windows.Forms.Label descriptionLabel;
+    private System.Windows.Forms.TextBox descriptionTextBox;
+    private System.Windows.Forms.Label typeLabel;
+    private System.Windows.Forms.TextBox typeTextBox;
+    private System.Windows.Forms.TextBox nameTextBox;
+    private System.Windows.Forms.Label nameLabel;
+  }
+}
Index: branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/ParameterView.cs
===================================================================
--- branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/ParameterView.cs	(revision 2027)
+++ branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/ParameterView.cs	(revision 2027)
@@ -0,0 +1,88 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Text;
+using System.Windows.Forms;
+
+namespace HeuristicLab.Core {
+  /// <summary>
+  /// The visual representation of <see cref="IVariableInfo"/>.
+  /// </summary>
+  public partial class ParameterView : ViewBase {
+    /// <summary>
+    /// Gets or sets the variable information to represent visually.
+    /// </summary>
+    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
+    /// No own data storage present.</remarks>
+    public IParameter Parameter {
+      get { return (IParameter)Item; }
+      set { base.Item = value; }
+    }
+
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariableInfoView"/> with caption "Variable Info".
+    /// </summary>
+    public ParameterView() {
+      InitializeComponent();
+      Caption = "Parameter";
+    }
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariableInfoView"/> 
+    /// with the given <paramref name="variableInfo"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="VariableInfoView()"/>.</remarks>
+    /// <param name="variableInfo">The variable info to represent visually.</param>
+    public ParameterView(IParameter parameter)
+      : this() {
+      Parameter = parameter;
+    }
+
+    /// <summary>
+    /// Updates all controls with the latest data of the model.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.UpdateControls"/> of base class <see cref="ViewBase"/>.</remarks>
+    protected override void UpdateControls() {
+      base.UpdateControls();
+      Caption = "Parameter";
+      if (Parameter == null) {
+        nameTextBox.Enabled = false;
+        dataTypeTextBox.Enabled = false;
+        typeTextBox.Enabled = false;
+        descriptionTextBox.Enabled = false;
+      } else {
+        Caption = Parameter.Name + " (" + Parameter.GetType().Name + ")";
+        nameTextBox.Text = Parameter.Name;
+        nameTextBox.Enabled = true;
+        dataTypeTextBox.Text = Parameter.DataType.FullName;
+        dataTypeTextBox.Enabled = true;
+        typeTextBox.Text = Parameter.Type.ToString();
+        typeTextBox.Enabled = true;
+        descriptionTextBox.Text = Parameter.Description;
+        descriptionTextBox.Enabled = true;
+      }
+    }
+  }
+}
Index: branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/ParameterView.resx
===================================================================
--- branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/ParameterView.resx	(revision 2027)
+++ branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/ParameterView.resx	(revision 2027)
@@ -0,0 +1,120 @@
+<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+</root>
Index: branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/Scope.cs
===================================================================
--- branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/Scope.cs	(revision 1994)
+++ branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/Scope.cs	(revision 2027)
@@ -45,9 +45,4 @@
       get { return myVariables.Values; }
     }
-    private IDictionary<string, string> myAliases;
-    /// <inheritdoc/>
-    public IEnumerable<KeyValuePair<string, string>> Aliases {
-      get { return myAliases; }
-    }
     private List<IScope> mySubScopes;
     /// <summary>
@@ -65,5 +60,4 @@
       myName = "Anonymous";
       myVariables = new Dictionary<string, IVariable>();
-      myAliases = new Dictionary<string, string>();
       mySubScopes = new List<IScope>();
     }
@@ -144,5 +138,4 @@
     public IItem GetVariableValue(string name, bool recursiveLookup, bool throwOnError) {
       IVariable variable;
-      name = TranslateName(name);
       if (myVariables.TryGetValue(name, out variable)) {
         return variable.Value;
@@ -158,27 +151,4 @@
       }
     }
-    /// <inheritdoc/>
-    public string TranslateName(string name) {
-      while (myAliases.ContainsKey(name))
-        name = myAliases[name];
-      if (parent != null)
-        name = parent.TranslateName(name);
-      return name;
-    }
-    /// <inheritdoc/>
-    public void AddAlias(string alias, string name) {
-      RemoveAlias(alias);
-      if (alias != name) {
-        myAliases.Add(alias, name);
-        OnAliasAdded(alias);
-      }
-    }
-    /// <inheritdoc/>
-    public void RemoveAlias(string alias) {
-      if (myAliases.ContainsKey(alias)) {
-        myAliases.Remove(alias);
-        OnAliasRemoved(alias);
-      }
-    }
 
     /// <inheritdoc/>
@@ -238,9 +208,4 @@
         RemoveVariable(variableNames[j]);
 
-      KeyValuePair<string, string>[] aliases = new KeyValuePair<string,string>[myAliases.Count];
-      myAliases.CopyTo(aliases, 0);
-      for (int j = 0; j < aliases.Length; j++)
-        RemoveAlias(aliases[j].Key);
-
       while (SubScopes.Count > 0)
         RemoveSubScope(SubScopes[0]);
@@ -254,6 +219,4 @@
       foreach (IVariable variable in myVariables.Values)
         clone.AddVariable((IVariable)Auxiliary.Clone(variable, clonedObjects));
-      foreach (KeyValuePair<string, string> alias in myAliases)
-        clone.AddAlias(alias.Key, alias.Value);
       for (int i = 0; i < SubScopes.Count; i++)
         clone.AddSubScope((IScope)Auxiliary.Clone(SubScopes[i], clonedObjects));
@@ -281,24 +244,4 @@
       if (VariableRemoved != null)
         VariableRemoved(this, new VariableEventArgs(variable));
-    }
-    /// <inheritdoc /> 
-    public event EventHandler<AliasEventArgs> AliasAdded;
-    /// <summary>
-    /// Fires a new <c>AliasAdded</c> event.
-    /// </summary>
-    /// <param name="alias">The alias that has been added.</param>
-    protected virtual void OnAliasAdded(string alias) {
-      if (AliasAdded != null)
-        AliasAdded(this, new AliasEventArgs(alias));
-    }
-    /// <inheritdoc/>
-    public event EventHandler<AliasEventArgs> AliasRemoved;
-    /// <summary>
-    /// Fires a new <c>AliasRemoved</c> event.
-    /// </summary>
-    /// <param name="alias">The alias that has been deleted.</param>
-    protected virtual void OnAliasRemoved(string alias) {
-      if (AliasRemoved != null)
-        AliasRemoved(this, new AliasEventArgs(alias));
     }
     /// <inheritdoc/>
@@ -380,17 +323,4 @@
       node.AppendChild(variables);
 
-      XmlNode aliases = document.CreateNode(XmlNodeType.Element, "Aliases", null);
-      foreach (KeyValuePair<string, string> alias in myAliases) {
-        XmlNode aliasNode = document.CreateNode(XmlNodeType.Element, "Alias", null);
-        XmlAttribute keyAttribute = document.CreateAttribute("Alias");
-        keyAttribute.Value = alias.Key;
-        aliasNode.Attributes.Append(keyAttribute);
-        XmlAttribute valueAttribute = document.CreateAttribute("Name");
-        valueAttribute.Value = alias.Value;
-        aliasNode.Attributes.Append(valueAttribute);
-        aliases.AppendChild(aliasNode);
-      }
-      node.AppendChild(aliases);
-
       XmlNode subScopes = document.CreateNode(XmlNodeType.Element, "SubScopes", null);
       for (int i = 0; i < SubScopes.Count; i++)
@@ -419,10 +349,4 @@
       }
 
-      XmlNode aliases = node.SelectSingleNode("Aliases");
-      if (aliases != null) {
-        foreach (XmlNode aliasNode in aliases.ChildNodes)
-          AddAlias(aliasNode.Attributes["Alias"].Value, aliasNode.Attributes["Name"].Value);
-      }
-
       XmlNode subScopes = node.SelectSingleNode("SubScopes");
       for (int i = 0; i < subScopes.ChildNodes.Count; i++) {
